package com.ruoyi.app.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 【请填写功能名称】对象 app_provider
 *
 * @author ruoyi
 * @date 2025-01-15
 */
public class AppProvider extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 供应商编码 */
    @Excel(name = "供应商编码")
    private String providerId;

    /** 供应商名称 */
    @Excel(name = "供应商名称")
    private String providerName;

    /** 电话 */
    @Excel(name = "电话")
    private String providerContact;

    /** 地址 */
    @Excel(name = "地址")
    private String providerAddress;

    /** 供应商状态 0 启用 1 停用*/
    @Excel(name = "状态")
    private Long providerStatus;

    /** 类型 1 供应商 2 客户 */
    private Long providerType;

    /** 最近更新用户 */
//    @Excel(name = "最近更新用户")
    private String lastUpdateUser;

    /** 最近更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
//    @Excel(name = "最近更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastUpdateTime;

    private Integer type;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public void setProviderId(String providerId)
    {
        this.providerId = providerId;
    }

    public String getProviderId()
    {
        return providerId;
    }
    public void setProviderName(String providerName)
    {
        this.providerName = providerName;
    }

    public String getProviderName()
    {
        return providerName;
    }
    public void setProviderContact(String providerContact)
    {
        this.providerContact = providerContact;
    }

    public String getProviderContact()
    {
        return providerContact;
    }
    public void setProviderAddress(String providerAddress)
    {
        this.providerAddress = providerAddress;
    }

    public String getProviderAddress()
    {
        return providerAddress;
    }
    public void setProviderStatus(Long providerStatus)
    {
        this.providerStatus = providerStatus;
    }

    public Long getProviderStatus()
    {
        return providerStatus;
    }
    public void setLastUpdateUser(String lastUpdateUser)
    {
        this.lastUpdateUser = lastUpdateUser;
    }

    public String getLastUpdateUser()
    {
        return lastUpdateUser;
    }
    public void setLastUpdateTime(Date lastUpdateTime)
    {
        this.lastUpdateTime = lastUpdateTime;
    }

    public Date getLastUpdateTime()
    {
        return lastUpdateTime;
    }

    public Long getProviderType() {
        return providerType;
    }

    public void setProviderType(Long providerType) {
        this.providerType = providerType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("providerId", getProviderId())
                .append("providerName", getProviderName())
                .append("providerContact", getProviderContact())
                .append("providerAddress", getProviderAddress())
                .append("providerStatus", getProviderStatus())
                .append("lastUpdateUser", getLastUpdateUser())
                .append("lastUpdateTime", getLastUpdateTime())
                .toString();
    }
}
